mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 System.Object System.Collections.ICollection System.ICloneable A last in, first out collection of objects.

The stack is a collection supporting only the push, pop, and peek operations. The push method puts an object onto the end of the stack. The peek method returns the most recent object placed on the stack. The pop method removes the most recent object placed on the stack and returns it.

A simple stack: `using System; using System.Collections; public class SamplesStack { public static void Main (string [] args) { Stack stack = new Stack(); stack.Push("Hello"); stack.Push("World"); stack.Push("!"); Console.WriteLine("the last value of the stack {0}", stack.Peek()); stack.Pop(); stack.Pop(); Console.WriteLine("the last value of the stack {0}", stack.Peek()); } }`

- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'ICollection'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'int'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added: an object of type 'object' To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'Array' To be added: an object of type 'int' To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerator To be added To be added: an object of type 'IEnumerator' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Collections.Stack `` To be added. To be added To be added: an object of type 'Stack' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Object To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object[] To be added To be added: an object of type 'object []' To be added 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)